Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2060976 - Enable read only /sysroot for Fedora Silverblue & Kinoite
Summary: Enable read only /sysroot for Fedora Silverblue & Kinoite
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 37
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Timothée Ravier
QA Contact:
URL:
Whiteboard:
Depends On: 2086489 2121197
Blocks: F37Changes 2153434
TreeView+ depends on / blocked
 
Reported: 2022-03-04 18:40 UTC by Ben Cotton
Modified: 2022-12-14 15:05 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2153434 (view as bug list)
Environment:
Last Closed: 2022-11-15 16:22:28 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Fedora Pagure workstation-ostree-config pull-request 277 0 None None None 2022-07-27 18:12:17 UTC
Github fedora-silverblue issue-tracker issues 232 0 None open [RFE] Make SilverBlue more robust against SELinux labels change breakage 2022-08-10 09:20:30 UTC
Github rhinstaller anaconda pull 4240 0 None Merged rpm-ostree: Setup readonly sysroot for ostree & rw karg 2022-08-10 09:20:31 UTC

Description Ben Cotton 2022-03-04 18:40:27 UTC
This is a tracking bug for Change: Enable read only /sysroot for Fedora Silverblue & Kinoite
For more details, see: https://fedoraproject.org/wiki/Changes/Silverblue_Kinoite_readonly_sysroot

This change is about enabling an opt-in ostree feature that re-mounts /sysroot as read only to avoid accidental changes.

If you encounter a bug related to this Change, please do not comment here. Instead create a new bug and set it to block this bug.

Comment 1 Ben Cotton 2022-08-09 16:02:52 UTC
Today we reached the Code Complete (Testable) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be complete enough to be testable. You can indicate this by setting this tracker to the MODIFIED status. If the Change is 100% code complete, you can set the tracker to ON_QA. If you need to defer this Change to F38, please NEEDINFO me.

Changes that have not reached at least the MODIFIED status will be given to FESCo for evaluation of contingency plans.

Comment 2 Timothée Ravier 2022-08-10 09:21:10 UTC
All code changes have been merged, ready to test.

Comment 3 Timothée Ravier 2022-08-10 09:21:55 UTC
Edit: the anaconda code change has been merged upstream. We will have to wait until it lands in a package update in Fedora.

Comment 4 Adam Williamson 2022-08-16 01:49:27 UTC
We think this has broken ostree composes in Branched and Rawhide:
https://pagure.io/releng/issue/10969#comment-810666

Comment 5 Timothée Ravier 2022-08-18 11:56:18 UTC
New PR for update logic in https://pagure.io/workstation-ostree-config/pull-request/289. New installs should still be testable as the Anaconda changes landed.

Comment 6 Adam Williamson 2022-08-18 12:30:29 UTC
Has something about this landed recently? I do a hack in the openQA tests to change Firefox's config, where we write to the file under /ostree/deploy/fedora*/deploy/ , and this stopped working yesterday with a "Read-only file system" error. Is there a way to turn this off, or some alternative way I can write a file under /usr/lib64/firefox , which I need to do to change Firefox policies?

I guess I could do the tweak in the post-install, pre-reboot phase on Silverblue, possibly...

Comment 7 Timothée Ravier 2022-08-18 17:27:39 UTC
Yes, the anaconda part of this change makes /sysroot RO and this includes the ostree repo as /ostree points to /sysroot/ostree.

If this is for testing, I'd recommend using `rpm-ostree usroverlay` and then making the changes as needed, or more cleanly, creating an RPM with the file as needed installed in the correct location and then overlaying it live with `rpm-ostree install --live package.rpm`.

Comment 8 Timothée Ravier 2022-08-18 17:28:37 UTC
If you can point me to the code or a PR I can review.

Comment 9 Adam Williamson 2022-08-18 19:45:22 UTC
I think you gave me enough to work with, thanks!

Comment 10 Timothée Ravier 2022-08-21 14:22:51 UTC
This is now fully re-enabled in Rawhide & F37. I've manually tested a Rawhide installation and an update from a non RO sysroot. I will test F37 soon.

Comment 11 Ben Cotton 2022-08-23 19:21:11 UTC
Today we reached the Code Complete (100% complete) milestone on the F37 schedule: https://fedorapeople.org/groups/schedule/f-37/f-37-key-tasks.html

At this time, all F37 Changes should be 100% complete. You can indicate this by setting this tracker to the ON_QA status. If you need to defer this Change to F38 please NEEDINFO me.

Note that we are entering the Beta freeze. Additional package changes to complete this Change will need an approved blocker or freeze exception. See https://fedoraproject.org/wiki/QA:SOP_blocker_bug_process and https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process for more information.

Changes that have not reached the ON_QA status will be given to FESCo for evaluation of contingency plans.

Comment 12 Timothée Ravier 2022-08-29 09:46:04 UTC
Moving to ON_QA as this is complete for Silverblue & Kinoite. IoT has some issues that are under-investigation.

Comment 13 Ben Cotton 2022-11-15 16:22:28 UTC
F37 was released today, so I am closing this tracker. If this Change was not completed, please notify me ASAP.


Note You need to log in before you can comment on or make changes to this bug.